Bug 145235 - Empty Trash Bin Prompts User To Move Root Folder To Trash
Summary: Empty Trash Bin Prompts User To Move Root Folder To Trash
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Unclassified
Component: trash (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: David Faure
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-09 17:39 UTC by Harrison A Neal
Modified: 2007-05-14 12:09 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harrison A Neal 2007-05-09 17:39:56 UTC
Version:            (using KDE KDE 3.5.6)
Installed from:    SuSE RPMs
OS:                Linux

When using KDE 3.5.6 release 37 with OpenSuse 10.3 Factory (latest KDE package
released for Factory), if you move a file to the Trash, and select Empty Trash
Bin, KDE prompts the user to move the Root Folder to the Trash Bin.

This bug is also reported at https://bugzilla.novell.com/show_bug.cgi?id=272752
Screenshots can be obtained from the above link.
Comment 1 The Johnny Person 2007-05-13 10:31:30 UTC
==================
Confirmed,  showing same behavior here on 2 different machines one running OpenSuse 10.1 & the other running 10.2  Both updated to KDe 3.5.6 "Release 85.1)
This problem has persisted through at least 3 minor updates to Kdebase/libs/desktop.
Comment 2 David Faure 2007-05-14 12:09:31 UTC
SVN commit 664555 by dfaure:

Fix regression introduced by the fix for #99898: don't ask for confirmation (with a weird path) before emptying the trash.
BUG: 145235


 M  +2 -0      konq_operations.cc  


--- branches/KDE/3.5/kdebase/libkonq/konq_operations.cc #664554:664555
@@ -235,6 +235,8 @@
 
 bool KonqOperations::askDeleteConfirmation( const KURL::List & selectedURLs, int method, ConfirmationType confirmation, QWidget* widget )
 {
+    if ( confirmation == SKIP_CONFIRMATION )
+        return true;
     QString keyName;
     bool ask = ( confirmation == FORCE_CONFIRMATION );
     if ( !ask )